分享,在ubuntu上QQ,适合新手。在这里教大家安装eva-qq!

为当前最终发行版之前的所有版本提供支持
回复
头像
爱国者黑客
帖子: 608
注册时间: 2006-10-01 14:34
送出感谢: 0
接收感谢: 0

分享,在ubuntu上QQ,适合新手。在这里教大家安装eva-qq!

#1

帖子 爱国者黑客 » 2006-10-29 18:33

我在网上找到的,我装成功了!特发来这里,不知道源里面 有没有,我只知道AMD64位的源有,用 新立得装就好!

代码: 全选

sudo apt-get install eva

下面是Eday下装的,应该在i386都能装吧!
首先确认你的ubuntu中已经装好g++,gcc,make,auto make,perl等编译安装要用到的工具,如果没安装这些的话是不能通过编译的,没安装的话就用

代码: 全选

$sudo apt-get install g++ gcc make automake perl

代码: 全选

$sudo apt-get update
$sudo apt-get install kdelibs4-dev kdelibs4c2a 


下装EVA

代码: 全选

wget http://www.magiclinux.org/people/yunfan/eva-0.4.1/eva-0.4.1-cvs-20060204.tar.bz2 

代码: 全选

$tar -jvxf eva-0.4.1-cvs-20060204.tar.bz2
$cd eva
$./configure --prefix=/eva
$make
$sudo make install
$sudo ln -s /eva/bin/eva /usr/bin/eva //建立连接 



然后在终端里用命令
$eva &
就可以在后台启动EVA了!基本搞定!!!

3,最后,可能不能输入中文,因此还要一步:

代码: 全选

$sudo apt-get install scim-qtimm
哈,搞定中文输入问题!!!

如果想在应用程序里加上EVA的话(在GNOME下自己编译安装EVA是不会自动创建启动菜单的 ),还得加上下面这步:

代码: 全选

sudo gedit /usr/share/applications/Eva.desktop
将下面内容加到打开的文件之中,然后保存

代码: 全选

[Desktop Entry]
Name=Eva
Comment=QQ Client
Exec=/usr/bin/eva
Icon=/usr/share/apps/eva/image/theme/eva.png
Terminal=false
Type=Application
Categories=Application;Network;
然后

代码: 全选

$killall gnome-panel
即可在应用程序>internet下找到Eva启动项

下面这步可省略:
*/

如果想更新Eva又找不到源的话可以试用CVS更新(更新之后是最新测试版,新手不推荐选用):

代码: 全选

$sudo apt-get install cvs
然后就可以用cvs来更新eva了

代码: 全选

$cvs -d:pserver:anonymous@evaq.cvs.sf.net:/cvsroot/evaq co eva
/*


至此已经全部安装完成了,本人在安装EVA时遇到不少麻烦,多亏两位高手指导,在此要谢谢mandrakechina和斑竹yunfan

最后,希望本贴能对某些新手有所帮助
注:直接用$sudo apt-get install eva虽然可以解决依赖性问题,但是安装成功之后界面是英文的,而且输入中文有点问题,有时会很不稳定,经常崩溃,建议新手安装软件最好还是自己多编译
本人用的版本是ubuntu6.06
本贴如有错漏之处请指出来,好让新手少走弯路[/code]
ti8er
帖子: 497
注册时间: 2006-10-18 8:48
送出感谢: 0
接收感谢: 2 次

#2

帖子 ti8er » 2006-10-31 17:19

我用了LumaQQ,可是启动太慢了。装Eva试试
dbzhang800
帖子: 3182
注册时间: 2006-03-10 15:10
来自: xi'an China
送出感谢: 0
接收感谢: 2 次
联系:

#3

帖子 dbzhang800 » 2006-10-31 18:11

你这样一搞估计会吓退一大批的新手

其实源里面没有的话,直接下载一个 deb格式的包,然后执行
sudo dpkg -i eva*.deb
就行了
ti8er
帖子: 497
注册时间: 2006-10-18 8:48
送出感谢: 0
接收感谢: 2 次

#4

帖子 ti8er » 2006-10-31 19:55

谢谢楼主。我的Eva一开始打不了中文的,装了scim-qtimm果然可以了呵呵。谢谢!其实在新立得里直接搜索eva 或者 QQ,再鼠标操作都OK了。不过命令行是基础,新手还是要多多学习地。
hjbhhj
帖子: 6
注册时间: 2006-10-27 21:03
送出感谢: 0
接收感谢: 0
联系:

#5

帖子 hjbhhj » 2006-10-31 20:50

3楼的:其实源里面没有的话,直接下载一个 deb格式的包,然后执行
sudo dpkg -i eva*.deb
就行了
晕死~~~我直接双击就安装了。如果这样QQ稳定吗?
头像
爱国者黑客
帖子: 608
注册时间: 2006-10-01 14:34
送出感谢: 0
接收感谢: 0

#6

帖子 爱国者黑客 » 2006-11-02 17:32

hjbhhj 写了:3楼的:其实源里面没有的话,直接下载一个 deb格式的包,然后执行
sudo dpkg -i eva*.deb
就行了
晕死~~~我直接双击就安装了。如果这样QQ稳定吗?

能用就行啦!不用太多疑,多疑,尿急,请服太太口服液
Quetalocatl
帖子: 162
注册时间: 2006-01-20 14:01
来自: Macau
送出感谢: 0
接收感谢: 0
联系:

#7

帖子 Quetalocatl » 2006-11-02 20:54

為甚麼Edgy的源裏沒有eva的呀?
害我裝上一堆沒用的lib...........................

cn99的源連w32codes都有
头像
BigSnake.NET
帖子: 12522
注册时间: 2006-07-02 11:16
来自: 廣州
送出感谢: 0
接收感谢: 7 次
联系:

#8

帖子 BigSnake.NET » 2006-11-02 21:07

^_^ ~~~
要理解递归,首先要理解递归。

地球人都知道,理论上,理论跟实际是没有差别的,但实际上,理论跟实际的差别是相当大滴。
头像
dogfox
论坛版主
帖子: 5309
注册时间: 2006-09-02 14:18
来自: 汉桑城
送出感谢: 1 次
接收感谢: 1 次
联系:

#9

帖子 dogfox » 2006-11-02 21:51

hjbhhj 写了:3楼的:其实源里面没有的话,直接下载一个 deb格式的包,然后执行
sudo dpkg -i eva*.deb
就行了
晕死~~~我直接双击就安装了。如果这样QQ稳定吗?
怎么不稳定?
不过要看清楚对应的版本!
全世界linux爱好者联合起来 !
一切闭源操作系统都是纸老虎 !
要斗私批修,拒绝黑屏,使用linux !
让一部分人先用起Archlinux来 !
linux是第一生产力 !
讲正气,讲开源,讲free
要坚定不移的走开源的道路 !
linux明天会更好 !

dpkg -l |grep ^rc|awk '{print $2}' |tr ["\n"] [" "]|sudo xargs dpkg -P -
ubuntu粉丝群 26660836 已满员
回复

回到 “老旧版本支持”